Summary: A GUI tool for configuring Samba, the SMB server.
Name: GnoSamba
Version: 0.3.3
Release: 3
Copyright: GPL 
Group: Applications/System
Source0: http://hcc.netservers.com/gnosamba/gnosamba-%{version}.tar.gz
Source1: GnoSamba.desktop
URL: http://www.open-systems.com/gtksamba.html
BuildRoot:/var/tmp/GnoSamba-root
Excludearch: alpha

%description
GnoSamba is a GUI tool for configuring Samba, the SMB server. GnoSamba
can read, edit and write the default Samba configuration file
(/etc/smb.conf) or an alternative configuration file. Since it is
still in development, not all functionality is supported at this
point. You'll need to install the GNOME libraries, since GnoSamba
requires them in order to run.

%prep
%setup -q -n gnosamba-%{version}

%build
%configure
make RPM_OPTS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install-strip prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/System/
install -m644 $RPM_SOURCE_DIR/GnoSamba.desktop \
	$RPM_BUILD_ROOT/usr/share/gnome/apps/System/GnoSamba.desktop

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING NEWS
/usr/bin/gnosamba
/usr/share/gnome/apps/System/GnoSamba.desktop


%changelog
* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- excludearch alpha due to fp errors (dumps core).

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added GnoSamba.desktop

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- upgraded to gnosamba-0.3.3(name changed for this version)
- strip binary
- built for 6.1

* Mon May 10 1999 Cristian Gafton <gafton@redhat.com>
- upgareded to %{version} to make it build with the new gtk

* Fri Nov 24 1998 Michael Maher <mikee@redhat.com>
- built package
